package knosso;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Title:        Cnosso
 * Description:  SImulazione di un labirinto
 * Copyright:    Copyright (c) 2001
 * Company:      Universit di Milano
 * @author Sara
 * @version 1.0
 */

public class Cnosso {
  boolean packFrame = false;

  /**Construct the application*/
  public Cnosso() {
    CnossoFrame frame = new CnossoFrame();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }
  /**Main method*/
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    createSplashScreen();
    new Cnosso();
    showSplashScreen();

  }
  static JLabel splashLabel;
  static JWindow splashScreen;

  public static void createSplashScreen() {
    splashLabel = new JLabel(new ImageIcon("Splash.jpg"));

    splashScreen = new JWindow();
    splashScreen.addMouseListener( new MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        splashScreen.dispose();
      }});
    splashScreen.getContentPane().add(splashLabel);
    splashScreen.pack();
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    splashScreen.setLocation(screenSize.width/2 - splashScreen.getSize().width/2,
    screenSize.height/2 - splashScreen.getSize().height/2);

 }

   public static void showSplashScreen() {
	    splashScreen.show();
    }
}