package knosso;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;

/**
 * Title:        Cnosso
 * Description:  SImulazione di un labirinto
 * Copyright:    Copyright (c) 2001
 * Company:      Universit di Milano
 * @author Sara
 * @version 1.0
 */

public class SizeDialog extends JDialog {
  JPanel panel1 = new JPanel();
  JSlider jSlider1 = new JSlider();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JSlider jSlider2 = new JSlider();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JLabel jLabel4 = new JLabel();
  CnossoFrame parent;

  public SizeDialog(CnossoFrame frame, String title, boolean modal ) {
    super(frame, title, modal);
    parent = frame;
    try {
      jbInit();
      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  public SizeDialog() {
    this(null, "", false);
  }
  void jbInit() throws Exception {
    panel1.setLayout(gridBagLayout1);
    jButton1.setText("Cancel");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setText("Ok");
    jButton2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton2_actionPerformed(e);
      }
    });
    jLabel1.setText("Vertical Size");
    jLabel2.setText("Horizontal Size");
    jLabel3.setHorizontalAlignment(SwingConstants.RIGHT);
    jLabel3.setHorizontalTextPosition(SwingConstants.RIGHT);
    jLabel3.setText("50");
    jLabel4.setText("50");
    jLabel4.setHorizontalTextPosition(SwingConstants.RIGHT);
    jLabel4.setHorizontalAlignment(SwingConstants.RIGHT);
    jSlider2.addChangeListener(new javax.swing.event.ChangeListener() {
      public void stateChanged(ChangeEvent e) {
        jSlider2_stateChanged(e);
      }
    });
    jSlider1.setMinimum(10);
    jSlider1.addChangeListener(new javax.swing.event.ChangeListener() {
      public void stateChanged(ChangeEvent e) {
        jSlider1_stateChanged(e);
      }
    });
    jSlider2.setMinimum(10);
    getContentPane().add(panel1);
    panel1.add(jSlider1, new GridBagConstraints(0, 1, 3, 1, 0.0, 0.0
            ,GridBagConstraints.SOUTHEAST, GridBagConstraints.NONE, new Insets(3, 0, 0, 0), 29, 22));
    panel1.add(jSlider2, new GridBagConstraints(0, 3, 3, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 28, 30));
    panel1.add(jButton1, new GridBagConstraints(1, 4, 2, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 7, 0));
    panel1.add(jButton2, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 22, 0));
    panel1.add(jLabel1, new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.SOUTHWEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    panel1.add(jLabel2, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    panel1.add(jLabel3, new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.SOUTHEAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    panel1.add(jLabel4, new GridBagConstraints(2, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
  }

  void jButton2_actionPerformed(ActionEvent e) {
    parent.getContentPane().remove(parent.m);
    parent.m = new Maze(jSlider1.getValue() , jSlider2.getValue() ) ;
    parent.getContentPane().add(parent.m,BorderLayout.CENTER);
    if(!parent.jMenuSetupTrace.getState())
      parent.m.setTrace();
    parent.validate();
    parent.m.requestFocus();
    parent.repaint();
    this.dispose();
  }

  void jSlider2_stateChanged(ChangeEvent e) {
    jLabel4.setText(Integer.toString(jSlider2.getValue()));
  }

  void jSlider1_stateChanged(ChangeEvent e) {
    jLabel3.setText(Integer.toString(jSlider1.getValue()));
  }

  void jButton1_actionPerformed(ActionEvent e) {
    this.dispose();
  }
}